Get information about a recipient list
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/recipientlists/{recipientListId}
Path Parameters
- clientIdstringrequiredDescription
- recipientListIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestRecipientList
- idinteger<int64>DescriptionFormatint64
- namestringDescription
- descriptionstringDescription
- recipientsinteger<int32>DescriptionFormatint32
- mediaTypesstring[]Description
- testListbooleanDescription
- forTransactionApibooleanDescription
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
409
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/recipientlists/{recipientListId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/recipientlists/{recipientListId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/recipientlists/{recipientListId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/recipientlists/{recipientListId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The recipient list was retrieved successfully.
{
"id": "",
"name": "",
"description": "",
"recipients": "",
"mediaTypes": [
""
],
"testList": false,
"forTransactionApi": false,
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}409
// The indicated recipient list is not assigned to the indicated client. Ensure that "clientId" and "recipientListId" are correct and that the "recipientListId" is assigned to the indicated client.